{% comment %}
This is a component. It should not exist by itself, but only as an included snippet in another template.

Context requirements:
* An object "form" that contains a django Form/FormSet object.
* A string "title" that gives the title (translated)
* (Optional) A string "return_url" that contains a href to a previous page.
* (Optional) A string "form_method" that dictates the method attribute of the form, default is "post"
* (Optional) A string "form_id", which when given adds a hidden field to the form with that value.
    this way you can know what form has been submitted

{% endcomment %}
{% load i18n %}
{% load bulma_tags %}
<div class="box">
    <h4 class="title is-4"> {{ title }} </h4>
    <form method={{ form_method|default:"post" }}>
        {% csrf_token %}
        {% if form %}
            {{ form|bulma}}
        {% elif forms %}
            {% for form in forms %}
                {{form|bulma}}
            {% endfor %}
        {% endif %}
        <div class="field is-grouped">
            {% if form_id %}
                <div class="control">
                    <input type="hidden" name="form_id" value={{ form_id }}>
                    </input>
                </div>
            {% endif %}
            <div class="control">
                <button class="button is-primary" type="submit">
                    {% trans "Submit" %}
                </button>
            </div>
            <div class="control">
                <button class="button is-primary" type="reset">
                    {% trans "Reset" %}
                </button>
            </div>
            {% if return_url %}
                <div class="control">
                    <a class="button is-light" href="{{ return_url }}">
                        {% trans "Cancel" %}
                    </a>
                </div>
            {% endif %}
        </div>
    </form>
</div>